%define		pearname	Mail_Mime
Summary:	%{pearname} - classes to create and decode mime messages
Summary(pl.UTF-8):	%{pearname} - klasa do tworzenia i dekodowania wiadomości mime
Name:		php-pear-%{pearname}
Version:	1.10.11
Release:	1
License:	BSD
Group:		Development/Languages/PHP
Source0:	https://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	a26f4aa0c599f0a5341bab3994d46207
URL:		https://pear.php.net/package/Mail_Mime/
BuildRequires:	php(zlib)
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php(mbstring)
Requires:	php(pcre)
Requires:	php(zlib)
Requires:	php-pear
Obsoletes:	php-pear-Mail_Mime-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides classes to deal with creation and manipulation of mime
messages:
- mime.php: Create mime email, with html, attachments, embedded images
  etc.
- mimePart.php: Advanced method of creating mime messages.
- mimeDecode.php - Decodes mime messages to a usable structure.
- xmail.dtd: An XML DTD to acompany the getXML() method of the
  decoding class.
- xmail.xsl: An XSLT stylesheet to transform the output of the
  getXML() method.

%description -l pl.UTF-8
Dostarcza klasy do tworzenia oraz manipulowania wiadomościami mime:
- mime.php: tworzenie emaili mime, z htmlem, załącznikami, obrazkami,
  etc.
- mimePart.php: zaawansowane metody tworzenia wiadomości mime.
- mimeDecode.php: dekoduje wiadomości mime do używalnej struktury.
- xmail.dtd: XML DTD dla metody getXML() klasy dekodującej.
- xmail.xsl: styl XSLT do transformowania wyjścia metody getXML().

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Mail/*
%changelog
* Sat Jul 27 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Mail_Mime.git;a=log;h=master

* Fri Mar 04 2022 Jan Rękorajski <baggins@pld-linux.org> 7a3d72d
- depends on php-zlib

* Fri Dec 17 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> ff141eb
- Up to 1.10.11.

* Fri May 07 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> ae521cd
- up to 1.10.10

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 218b9c0
- drop obsolete and outdated manual inclusion of rpm macros

* Sat Nov 25 2017 Elan Ruusamäe <glen@pld-linux.org> c873439
- up to 1.10.2

* Thu Jun 08 2017 Elan Ruusamäe <glen@delfi.ee> c95bca4
- up to 1.10.1

* Wed Sep 30 2015 Elan Ruusamäe <glen@delfi.ee> f6845bc
- up to 1.10.0

* Thu Jun 19 2014 Elan Ruusamäe <glen@delfi.ee> 03ef9db
- up to 1.8.9

* Sun Dec 01 2013 Elan Ruusamäe <glen@delfi.ee> cac3482
- up to 1.8.8 (released on 2013-07-05)

* Sun Jan 13 2013 Elan Ruusamäe <glen@delfi.ee> 4379eb4
- up to 1.8.7

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> 31be422
- updated to: 1.8.6

* Tue Aug 28 2012 Elan Ruusamäe <glen@delfi.ee> 6e76233
- updated to: 1.8.5

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> 9bf48d4
- updated to: 1.8.3

* Sat Aug 13 2011 Elan Ruusamäe <glen@pld-linux.org> 88ac218
- up to 1.8.2

* Sun Jan 23 2011 Elan Ruusamäe <glen@pld-linux.org> 4f5c335
- updated to: 1.8.1

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 65d32b4
- restored %install and %clean sections (removed accidentally)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 4846aa9
- dropped -tests subpackage

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> 3c2c6c6
- updated to: 1.8.0

* Tue May 11 2010 dzeus <dzeus@pld-linux.org> 1968bc4
- up to 1.7.0

* Mon Jan 04 2010 Adam Gołębiowski <adamg@pld-linux.org> 7456f8b
- updated to 1.5.3

